I attach a patch for pg_upgrade. This does two things:

1. check whether the program is being executed in $PGDATA/..  This is
   necessary if the data tree is not in the standard place, as is the
   case with the Debian distribution (because of Debian policy).

2. give a clearer error message if the dumped data structure fails to
   be loaded.

Oliver Elphick
This commit is contained in:
Bruce Momjian 1999-06-07 22:58:31 +00:00
parent 094616ec83
commit 505b2ecdf4
1 changed files with 5 additions and 3 deletions

View File

@ -29,8 +29,9 @@ OLDDIR="$1"
# check things
if [ ! -f "./lib/global1.bki.source" ]
then echo "$0 must be run from the top of the postgres directory tree." 1>&2
if [ ! -f "./data/PG_VERSION" ]
then echo "`basename $0` must be run from the directory containing
the database directory \`data' (`dirname $PGDATA`.)" 1>&2
exit 1
fi
@ -72,7 +73,8 @@ cat $INPUT | awk ' {
psql "template1" <"/tmp/$$"
if [ $? -ne 0 ]
then echo "psql failed to execute $INPUT script." 1>&2
then echo "There were errors in the input script $INPUT.
$0 aborted." 1>&2
exit 1
fi